<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Startup
 */

get_header(); ?>

	<?php startup_pages_title_section(); ?>

	<div id="wrapper">

		<div class="container">

			<div class="<?php startup_article_class(); ?>">

				<?php
				// Elementor 'archive' location.
				if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'archive' ) ) {
					?>

					<?php startup_action( 'before_content' ); ?>

				<div id="content_box">
					<?php
					if ( empty( startup_get_settings( 'show_pages_title' ) ) ) {
						the_archive_title( '<h1 class="page-title">', '</h1>' );
					}
					the_archive_description( '<div class="taxonomy-description">', '</div>' );
					?>
					<section id="latest-posts" class="layout-default clearfix">
						<?php
						$j = 0;
						if ( have_posts() ) {
							while ( have_posts() ) {
								the_post();
								startup_blog_articles();
							}
						}

						if ( 0 !== ++$j ) {
							startup_pagination( startup_get_settings( 'mts_pagenavigation_type' ) );
						}
						?>
					</section>
				</div>

					<?php
					startup_action( 'after_content' );
				}
				?>

			</div>

			<?php get_sidebar(); ?>

		</div>

<?php
get_footer();
