<?php
/**
 * Set startup layout according to options
 *
 * @package Startup
 */

defined( 'WPINC' ) || exit;

/**
 * Layout manager.
 */
class Startup_Layout extends Startup_Base {

	/**
	 * The Construct
	 */
	public function __construct() {
		$this->add_action( 'startup_before_wrapper', 'add_header' );
		// $this->add_action( 'startup_before_content', 'single_heading_secton' );
		$this->add_action( 'startup_single_post_header', 'single_post_header' );
	}

	/**
	 * Add header
	 */
	public function add_header() {
		$hash   = array(
			'header-default' => 'default',
			'header-layout2' => 'layout2',
			'header-layout3' => 'layout3',
		);
		$layout = startup_get_settings( 'header_styles' );
		get_template_part( 'template-parts/header/header', isset( $hash[ $layout ] ) ? $hash[ $layout ] : $layout );
	}

	/**
	 * Single post header layout
	 */
	public function single_post_header() {
		?>
		<header class="single-header clearfix">

			<?php
			$header_animation = startup_get_post_header_effect();
			if ( has_post_thumbnail() && startup_get_settings( 'show_single_featured' ) && empty( $header_animation ) ) {
				the_post_thumbnail( 'startup-single-featured', array( 'class' => 'single-featured-image' ) );
			}
			startup_the_post_meta( 'single' );
			?>
			<h1 class="title single-title entry-title"><?php the_title(); ?></h1>

		</header><!--.headline_area-->
		<?php
	}
}

// Init.
new Startup_Layout;
