<?php
/**
 * Back to top
 *
 * @package Startup
 */

$menus['footer']['child']['footer-back-to-top'] = array(
	'title' => esc_html__( 'Back to Top', 'startup' ),
	'desc'  => esc_html__( 'From here, you can control the back to top button.', 'startup' ),
);

// Dependency check that back to top option is enable.
$top_button_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'show_top_button',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-back-to-top'] = array(

	array(
		'id'       => 'show_top_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Top Button', 'startup' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'startup' ),
		'std'      => '1',
	),

	array(
		'id'         => 'bt_top_button_position',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Top Buttons Position', 'startup' ),
		'options'    => array(
			'floating' => esc_html__( 'Floating', 'startup' ),
			'bottom'   => esc_html__( 'Bottom', 'startup' ),
		),
		'sub_desc'   => esc_html__( 'Choose position for Top Button.', 'startup' ),
		'std'        => 'floating',
		'class'      => 'green',
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_icon',
		'type'       => 'icon_select',
		'title'      => esc_html__( 'Top Button Icon', 'startup' ),
		'sub_desc'   => esc_html__( 'Set icon for top button icon with this option.', 'startup' ),
		'std'        => 'angle-up',
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Color', 'startup' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'startup' ),
		'std'        => '#ffffff',
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_color_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Hover Color', 'startup' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'startup' ),
		'std'        => '#ffffff',
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Background', 'startup' ),
		'sub_desc'   => esc_html__( 'Set top button background color, pattern and image from here.', 'startup' ),
		'std'        => startup_get_settings( 'primary_color_scheme' ),
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_background_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Hover Background', 'startup' ),
		'sub_desc'   => esc_html__( 'Set top button background color, pattern and image from here.', 'startup' ),
		'std'        => startup_get_settings( 'primary_color_scheme' ),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_font_size',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Font Size', 'startup' ),
		'sub_desc'   => esc_html__( 'Set font size of top button in px.', 'startup' ),
		'std'        => '24',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_width',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Width', 'startup' ),
		'sub_desc'   => esc_html__( 'Set Top button width in px from here.', 'startup' ),
		'std'        => '60',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_height',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Height', 'startup' ),
		'sub_desc'   => esc_html__( 'Set Top button height in px from here.', 'startup' ),
		'std'        => '60',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Position', 'startup' ),
		'sub_desc'   => esc_html__( 'Set top button position from here.', 'startup' ),
		'std'        => array(
			'top'    => 'auto',
			'right'  => '5px',
			'bottom' => '30px',
			'left'   => 'auto',
		),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'startup' ),
		'sub_desc'   => esc_html__( 'Set border radius of top button in px.', 'startup' ),
		'std'        => '50',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'startup' ),
		'sub_desc'   => esc_html__( 'Select border', 'startup' ),
		'dependency' => $top_button_dependency,
	),

);
