<?php
/**
 * Carousel Section
 *
 * @package Startup
 */

$menus['blog']['child']['blog-archive'] = array(
	'title' => esc_html__( 'Archives', 'startup' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'startup' ),
);

$sections['blog-archive'] = array(

	array(
		'id'       => 'mts_archive_headline_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Archives Meta Info', 'startup' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on Archives.', 'startup' ),
		'options'  => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => __( 'Author Name', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'user-o',
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'calendar',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'folder-o',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => __( 'Author Name', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'user-o',
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'calendar',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'folder-o',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
	),

	array(
		'id'       => 'archive_readmore',
		'type'     => 'switch',
		'title'    => esc_html__( 'Enable/Disable Read More', 'startup' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide readmore.', 'startup' ),
		'std'      => '1',
	),

	array(
		'id'    => 'archive_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Meta Info Typography', 'startup' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '12px',
			'color'          => '#7a869a',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.archive .layout-default .latestPost .post-info, .archive .layout-default .latestPost .post-info span a, .archive [class^="more-page"] .latestPost .post-info, .archive [class^="more-page"] .latestPost .post-info span a, .search [class^="more-page"] .latestPost .post-info, .search [class^="more-page"] .latestPost .post-info span a',
		),
	),

	array(
		'id'    => 'archive_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'startup' ),
		'std'   => array(
			'preview-text'  => 'Post Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '24px',
			'line-height'   => '1.4',
			'color'         => '#505f79',
			'css-selectors' => '.archive .layout-default .latestPost .title a, .search .layout-default .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
		),
	),

	array(
		'id'    => 'archive_post_excerpt_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Excerpt Font', 'startup' ),
		'std'   => array(
			'preview-text'  => 'Post Excerpt Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '25px',
			'color'         => '#505f79',
			'css-selectors' => '.archive .layout-default .latestPost .front-view-content, .search .layout-default .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
		),
	),

);
