<?php
/**
 * Breadcrumbs
 *
 * @package Startup
 */

$menus['blog']['child']['blog-titles'] = array(
	'title' => esc_html__( 'Pages title', 'startup' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your titles.', 'startup' ),
);

// Dependency check the Pages Title
$pages_title = array(
	'relation' => 'and',
	array(
		'field'      => 'show_pages_title',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['blog-titles'] = array(

	array(
		'id'       => 'show_pages_title',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Pages Title', 'startup' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Pages Title form here.', 'startup' ),
		'std'      => '0',
	),

	array(
		'id'         => 'pages_heading_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Page Title Text', 'startup' ),
		'sub_desc'   => esc_html__( 'Enter page title text from here. Page title will be shown on archives and other pages.', 'startup' ),
		'std'        => esc_html__( 'Blog', 'startup' ),
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'pages_subheading_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Page Subtitle Text', 'startup' ),
		'sub_desc'   => esc_html__( 'Enter page sub title text from here.', 'startup' ),
		'std'        => esc_html__( 'Train your brain this new years', 'startup' ),
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'pages_title_bg',
		'type'       => 'background',
		'title'      => esc_html__( 'Pages Title Background', 'startup' ),
		'sub_desc'   => esc_html__( 'Set Pages Title background color, pattern and image from here.', 'startup' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => startup_get_settings( 'primary_color_scheme' ),
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => '',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#00B8D9',
				'to'        => '#79E2F2',
				'direction' => '-83.453deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'pages_title_circle',
		'type'       => 'switch',
		'title'      => esc_html__( 'Background Circle', 'startup' ),
		'sub_desc'   => esc_html__( 'Use this button to show/hide background circle pattern in the Page Title background area. This option will not work if custom background image is used.', 'startup' ),
		'std'        => '1',
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'pages_title_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'startup' ),
		'sub_desc'   => esc_html__( 'Set Titles section padding from here.', 'startup' ),
		'std'        => array(
			'top'    => '175px',
			'right'  => '0',
			'bottom' => '118px',
			'left'   => '0',
		),
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'pages_title_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'startup' ),
		'sub_desc'   => esc_html__( 'Set Titles section margin from here.', 'startup' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'page_title_heading_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Page Title Font', 'startup' ),
		'std'        => array(
			'preview-text'   => 'Page Title Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'font-size'      => '35px',
			'line-height'    => '1.2',
			'css-selectors'  => '.pages-title-section .page-title-heading',
		),
		'dependency' => $pages_title,
	),

	array(
		'id'         => 'pages_title_subheading_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Page Subtitle Font', 'startup' ),
		'std'        => array(
			'preview-text'   => 'Page Subtitle Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '400',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: capitalize;',
			'font-size'      => '14px',
			'line-height'    => '1.2',
			'css-selectors'  => '.pages-title-section p.subheading',
		),
		'dependency' => $pages_title,
	),

);
