<?php
/**
 * Navigation
 *
 * @package Startup
 */

$menus['footer']['child']['footer-copyrights'] = array(
	'title' => esc_html__( 'Copyrights Section', 'startup' ),
	'desc'  => esc_html__( 'From here, you can control the Copyrights & Footer Navigation.', 'startup' ),
);

// Dependency check that back to top option is enable.
$footer_nav_section = array(
	'relation' => 'and',
	array(
		'field'      => 'footer_nav_section',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-copyrights'] = array(

	array(
		'id'    => 'footer_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Footer Navigation', 'startup' ),
	),

	array(
		'id'       => 'footer_nav_section',
		'type'     => 'switch',
		'title'    => esc_html__( 'Navigation Section', 'startup' ),
		'sub_desc' => esc_html__( 'Enable or disable Navigation Section with this option.', 'startup' ),
		'std'      => '1',
	),

	array(
		'id'         => 'footer_menu_item_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Menu Items Margin', 'startup' ),
		'sub_desc'   => esc_html__( 'Navigation Section menu item margin.', 'startup' ),
		'top'        => false,
		'bottom'     => false,
		'std'        => array(
			'right' => '40px',
			'left'  => '0',
		),
		'dependency' => $footer_nav_section,
	),
	array(
		'id'         => 'footer_nav_separator',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show Nav Separator', 'startup' ),
		'sub_desc'   => esc_html__( 'Enable or disable nav separator with this option.', 'startup' ),
		'std'        => '0',
		'dependency' => $footer_nav_section,
	),
	array(
		'id'         => 'footer_nav_separator_content',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Separator', 'startup' ),
		'sub_desc'   => esc_html__( 'Use any separator, ex: "-" "/" "|" "." ">"', 'startup' ),
		'dependency' => $footer_nav_section,
	),
	array(
		'id'         => 'footer_nav_separator_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Separator Color', 'startup' ),
		'sub_desc'   => esc_html__( 'Set nav separator color from here.', 'startup' ),
		'dependency' => $footer_nav_section,
	),
	array(
		'id'         => 'footer_nav_separator_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Separator Margin', 'startup' ),
		'sub_desc'   => esc_html__( 'Nav Separator margin.', 'startup' ),
		'top'        => false,
		'bottom'     => false,
		'std'        => array(
			'right' => '25px',
			'left'  => '25px',
		),
		'dependency' => $footer_nav_section,
	),

	array(
		'id'         => 'footer_nav_position',
		'type'       => 'button_set',
		'class'      => 'green',
		'title'      => esc_html__( 'Footer Nav Position', 'startup' ),
		'sub_desc'   => wp_kses( __( 'Choose the <strong>Footer Navigation Position</strong> from here and vice versa will be applied on copyrights.', 'startup' ), array( 'strong' => '' ) ),
		'options'    => array(
			'left'  => esc_html__( 'Left', 'startup' ),
			'right' => esc_html__( 'Right', 'startup' ),
		),
		'std'        => 'left',
		'dependency' => $footer_nav_section,
	),

	array(
		'id'    => 'footer_nav_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Navigation', 'startup' ),
		'std'   => array(
			'preview-text'  => 'Footer Navigation Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'color'         => '#505f79',
			'css-selectors' => '.footer-nav li a',
		),
	),

	array(
		'id'    => 'copyrights_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights', 'startup' ),
	),

	array(
		'id'       => 'mts_copyrights',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Copyrights Text', 'startup' ),
		'sub_desc' => esc_html__( 'You can change or remove our link from footer and use your own custom text.', 'startup' ) . ( MTS_THEME_WHITE_LABEL ? '' : wp_kses( __( '(You can also use your affiliate link to <strong>earn 55% of sales</strong>. Ex: <a href="https://mythemeshop.com/go/aff/aff" target="_blank">https://mythemeshop.com/?ref=username</a>)', 'startup' ), array( 'strong' => '', 'a' => array( 'href' => array(), 'target' => array() ) ) ) ),
		// translators: Default value.
		'std'      => MTS_THEME_WHITE_LABEL ? null : sprintf( __( 'Theme by %s', 'startup' ), '<a href="https://mythemeshop.com/" rel="nofollow">MyThemeShop</a>' ),
	),

	array(
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Font', 'startup' ),
		'std'   => array(
			'preview-text'  => 'Copyrights Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'color'         => '#505f79',
			'css-selectors' => '#copyright-note',
		),
	),

	array(
		'id'    => 'copyrights_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights Container', 'startup' ),
	),

	array(
		'id'       => 'copyrights_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'startup' ),
		'sub_desc' => esc_html__( 'Copyrights Section margin.', 'startup' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'copyrights_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'startup' ),
		'sub_desc' => esc_html__( 'Copyrights Section padding.', 'startup' ),
		'std'      => array(
			'top'    => '60px',
			'right'  => '0',
			'bottom' => '30px',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'copyrights_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'startup' ),
		'sub_desc' => esc_html__( 'Select border', 'startup' ),
	),

	array(
		'id'       => 'mts_copyrights_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Copyrights Background', 'startup' ),
		'sub_desc' => esc_html__( 'Set copyrights background color, pattern and image from here.', 'startup' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

);
