<?php
/**
 * Featured Area
 *
 * @package Startup
 */

$menus['header']['child']['header-featured-section'] = array(
	'title' => esc_html__( 'Featured Area', 'startup' ),
	'desc'  => esc_html__( 'From here, you can control the featured area section from here.', 'startup' ),
);

// Dependency check - Featured Area
$featured_area = array(
	'relation' => 'and',
	array(
		'field'      => 'featured_area',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['header-featured-section'] = array(

	array(
		'id'       => 'featured_area',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured Area', 'startup' ),
		// translators: Primary Navigation Menu with strong tag.
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'startup' ), '<strong>' . esc_html__( 'Featured Area', 'startup' ) . '</strong>' ),
		'std'      => '1',
	),

	array(
		'id'         => 'featured_area_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Featured Title', 'startup' ),
		'sub_desc'   => esc_html__( 'Enter title from here.', 'startup' ),
		'std'        => 'Startup, the perfect theme for your website is here',
		'dependency' => $featured_area,
	),

	array(
		'id'         => 'featured_area_subtitle',
		'type'       => 'textarea',
		'title'      => esc_html__( 'Featured Subtitle', 'startup' ),
		'sub_desc'   => esc_html__( 'Enter subtitle from here.', 'startup' ),
		'std'        => 'Purchase the Startup Theme today and give your website a headstart to succeed.',
		'dependency' => $featured_area,
	),

	array(
		'id'         => 'featured_area_button',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show Featured Area Button', 'startup' ),
		'sub_desc'   => wp_kses( __( 'Use this button to Show or Hide the <strong>Featured Area</strong> completely.', 'startup' ), array( 'strong' => '' ) ),
		'std'        => '1',
		'dependency' => $featured_area,
	),

	array(
		'id'         => 'featured_area_button_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Button Text', 'startup' ),
		'sub_desc'   => esc_html__( 'Enter button text.', 'startup' ),
		'std'        => 'Sign Up Now',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'featured_area',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'featured_area_button',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'featured_area_button_url',
		'type'       => 'text',
		'title'      => esc_html__( 'Button URL', 'startup' ),
		'sub_desc'   => esc_html__( 'Enter button URL.', 'startup' ),
		'std'        => '#',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'featured_area',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'featured_area_button',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'featured_area_button_bg',
		'type'       => 'background',
		'title'      => esc_html__( 'Button Background', 'startup' ),
		'sub_desc'   => esc_html__( 'Set buttons background color, pattern and image from here.', 'startup' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '#00B8D9',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => '',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#00B8D9',
				'to'        => '#79E2F2',
				'direction' => '-83.453deg',
			),
			'parallax'      => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'featured_area',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'featured_area_button',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'featured_area_content_position',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Image Position', 'startup' ),
		'options'    => array(
			'right' => esc_html__( 'Left Side', 'startup' ),
			'left'  => esc_html__( 'Right Side', 'startup' ),
		),
		'sub_desc'   => esc_html__( 'Choose content position for Featured Area section.', 'startup' ),
		'std'        => 'left',
		'class'      => 'green',
		'dependency' => $featured_area,
	),

	array(
		'id'         => 'featured_area_image',
		'type'       => 'upload',
		'title'      => esc_html__( 'Upload Image', 'startup' ),
		'sub_desc'   => wp_kses( __( 'Upload Featured Area Image from here <strong>Recommend Size 750x836px</strong>. This image will be shown on the right side of Featured Area section', 'startup' ), array( 'strong' => array() ) ),
		'return'     => 'url',
		'std'        => get_template_directory_uri() . '/images/startup-laptop-router.png',
		'dependency' => $featured_area,
	),

	array(
		'id'         => 'featured_area_image_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Image Position', 'startup' ),
		'sub_desc'   => esc_html__( 'Set Featured Area Image position from here.', 'startup' ),
		'std'        => array(
			'top'    => 'auto',
			'right'  => '-120px',
			'bottom' => '-165px',
			'left'   => 'auto',
		),
		'dependency' => $featured_area,
	),

	array(
		'id'    => 'featured_area_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Featured Area General Stylings', 'startup' ),
	),

	array(
		'id'       => 'featured_area_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Featured Area Margin', 'startup' ),
		'sub_desc' => esc_html__( 'Set Featured Area margin from here.', 'startup' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'featured_area_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Featured Area Padding', 'startup' ),
		'sub_desc' => esc_html__( 'Set Featured Area padding from here.', 'startup' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '245px',
			'bottom' => '285px',
		),
	),

	array(
		'id'         => 'featured_area_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Featured Area Background', 'startup' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'startup' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/featured-area.png',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => '',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $featured_area,
	),

	array(
		'id'         => 'featured_area_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Featured Title Font', 'startup' ),
		'std'        => array(
			'preview-text'  => 'Featured Title Font',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '40px',
			'line-height'   => '1.1',
			'color'         => '#ffffff',
			'css-selectors' => '.featured-area-title',
		),
		'dependency' => $featured_area,
	),

	array(
		'id'         => 'featured_area_subtitle_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Featured Subtitle Font', 'startup' ),
		'std'        => array(
			'preview-text'  => 'Featured Title Font',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '16px',
			'line-height'   => '30px',
			'color'         => '#ffffff',
			'css-selectors' => '.featured-area-subtitle',
		),
		'dependency' => $featured_area,
	),

);
