<?php
/**
 * Top Bar
 *
 * @package Blocks
 */

$menus['header']['child']['header-top-bar'] = array(
	'title' => esc_html__( 'Topbar', 'startup' ),
	'desc'  => esc_html__( 'From here, you can control the topbar of header section.', 'startup' ),
);

// Dependency check - Top Bar
$top_bar_section = array(
	'relation' => 'and',
	array(
		'field'      => 'top_bar_section',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['header-top-bar'] = array(

	array(
		'id'    => 'top_bar_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Top Bar', 'startup' ),
	),

	array(
		'id'       => 'top_bar_section',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Top Bar Section', 'startup' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Top Bar</strong> completely.', 'startup' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'         => 'top_bar_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Text', 'startup' ),
		'std'        => 'Use the top bar area to post offers and get subscribers.',
		'dependency' => $top_bar_section,
	),

	array(
		'id'         => 'top_bar_contact',
		'type'       => 'group',
		'title'      => esc_html__( 'Contact Details', 'startup' ),
		'sub_desc'   => esc_html__( 'Add contact details items from here. The contact details will be shown on top bar.', 'startup' ),
		'groupname'  => esc_html__( 'Contact', 'startup' ),
		'subfields'  => array(
			array(
				'id'    => 'contact_text',
				'type'  => 'text',
				'title' => esc_html__( 'Text', 'startup' ),
			),
			array(
				'id'    => 'contact_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'startup' ),
			),
			array(
				'id'    => 'contact_url',
				'type'  => 'text',
				'title' => esc_html__( 'Contact URL( Optional )', 'startup' ),
			),
			array(
				'id'       => 'contact_color',
				'type'     => 'color',
				'title'    => esc_html__( 'Select icon color', 'startup' ),
				'sub_desc' => esc_html__( 'The icon color will also be shown as hover state background color on grid item.', 'startup' ),
				'std'      => '#ffffff',
			),
		),
		'std'        => array(
			'1' => array(
				'group_sort'   => '1',
				'contact_icon' => 'phone',
				'contact_text' => '123-465-7890',
				'contact_url'  => '',
			),
			'2' => array(
				'group_sort'   => '2',
				'contact_icon' => 'envelope',
				'contact_text' => 'support@mythemeshop.com',
				'contact_url'  => '',
			),
		),
		'dependency' => $top_bar_section,
	),

	array(
		'id'         => 'top_bar_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Top Bar Font', 'startup' ),
		'std'        => array(
			'preview-text'  => 'Top Bar Font',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'color'         => '#ffffff',
			'font-size'     => '14px',
			'line-height'   => '1.3',
			'css-selectors' => '.top-bar',
		),
		'dependency' => $top_bar_section,
	),

	array(
		'id'         => 'top_bar_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Bar Margin', 'startup' ),
		'sub_desc'   => esc_html__( 'Set Top Bar margin from here.', 'startup' ),
		'left'       => false,
		'right'      => false,
		'std'        => array(
			'top'    => '0',
			'bottom' => '0',
		),
		'dependency' => $top_bar_section,
	),
	array(
		'id'         => 'top_bar_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Bar Padding', 'startup' ),
		'sub_desc'   => esc_html__( 'Set Top Bar padding from here.', 'startup' ),
		'left'       => false,
		'right'      => false,
		'std'        => array(
			'top'    => '16px',
			'bottom' => '16px',
		),
		'dependency' => $top_bar_section,
	),

	array(
		'id'         => 'top_bar_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Top Bar Background', 'startup' ),
		'sub_desc'   => esc_html__( 'Set Top bar background color, pattern and image for header from here', 'startup' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '#5160d5',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $top_bar_section,
	),

);
