<?php
/**
 * Header Tab
 *
 * @package Startup
 */

$menus['header'] = array(
	'icon'  => 'fa-header',
	'title' => esc_html__( 'Header', 'startup' ),
);

$menus['header']['child']['header-general'] = array(
	'title' => esc_html__( 'General', 'startup' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header section.', 'startup' ),
);

// Dependency check - Nav Button
$nav_button = array(
	'relation' => 'and',
	array(
		'field'      => 'nav_button',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['header-general'] = array(

	array(
		'id'       => 'header_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Header Styling', 'startup' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Header design</strong> for your site.', 'startup' ), array( 'strong' => '' ) ),
		'options'  => array(
			'header-default' => array( 'img' => $uri . 'headers/header-default.jpg' ),
			'header-layout2' => array( 'img' => $uri . 'headers/header-layout2.jpg' ),
		),
		'std'      => 'header-default',
	),

	array(
		'id'    => 'header_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header Settings', 'startup' ),
	),

	array(
		'id'       => 'header_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Margin', 'startup' ),
		'sub_desc' => esc_html__( 'Set header margin from here.', 'startup' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Padding', 'startup' ),
		'sub_desc' => esc_html__( 'Set header padding from here.', 'startup' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '20px',
			'bottom' => '20px',
		),
	),

	array(
		'id'       => 'mts_header_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'startup' ),
		'sub_desc' => esc_html__( 'Select border.', 'startup' ),
	),

	array(
		'id'       => 'header_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Header Background', 'startup' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for header from here, except homepage header.', 'startup' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'    => 'header_nav_button',
		'type'  => 'heading',
		'title' => esc_html__( 'Nav Button', 'startup' ),
	),

	array(
		'id'       => 'nav_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Nav Button', 'startup' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Nav Button</strong> completely.', 'startup' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'         => 'nav_button_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Button Text', 'startup' ),
		'sub_desc'   => esc_html__( 'Enter button text.', 'startup' ),
		'std'        => esc_html__( 'Login', 'startup' ),
		'dependency' => $nav_button,
	),

	array(
		'id'         => 'nav_button_url',
		'type'       => 'text',
		'title'      => esc_html__( 'Button URL', 'startup' ),
		'sub_desc'   => esc_html__( 'Enter button URL.', 'startup' ),
		'std'        => '#',
		'dependency' => $nav_button,
	),

	array(
		'id'         => 'nav_button_bg',
		'type'       => 'background',
		'title'      => esc_html__( 'Button Background', 'startup' ),
		'sub_desc'   => esc_html__( 'Set buttons background color, pattern and image from here.', 'startup' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '#00B8D9',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => '',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#00B8D9',
				'to'        => '#79E2F2',
				'direction' => '-83.453deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $nav_button,
	),

	array(
		'id'         => 'nav_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Button Color', 'startup' ),
		'sub_desc'   => esc_html__( 'Select button color for navigation button from here.', 'startup' ),
		'std'        => '#ffffff',
		'dependency' => $nav_button,
	),

	array(
		'id'    => 'header_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header General Settings', 'startup' ),
	),

	array(
		'id'       => 'mts_sticky_nav',
		'type'     => 'switch',
		'title'    => esc_html__( 'Floating Navigation Menu', 'startup' ),
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'startup' ), '<strong>' . esc_html__( 'Floating Navigation Menu', 'startup' ) . '</strong>' ),
		'std'      => '0',
	),

	array(
		'id'       => 'mts_header_section2',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Logo', 'startup' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Logo</strong> completely.', 'startup' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'       => 'main_navigation_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Navigation Text Hover Color', 'startup' ),
		'sub_desc' => esc_html__( 'Select text hover color for main navigation from here.', 'startup' ),
		'std'      => '#00B8D9',
	),

	array(
		'id'       => 'main_navigation_dropdown_bg',
		'type'     => 'background',
		'title'    => esc_html__( 'Button Background', 'startup' ),
		'sub_desc' => esc_html__( 'Set buttons background color, pattern and image from here.', 'startup' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#00B8D9',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => '',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#00B8D9',
				'to'        => '#79E2F2',
				'direction' => '-83.453deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'main_navigation_dropdown_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Color', 'startup' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for main navigation from here.', 'startup' ),
		'std'      => '#ffffff',
	),

);
