<?php
/**
 * HomePage Tab
 *
 * @package Startup
 */

$menus['homepage-general'] = array(
	'icon'  => 'fa-home',
	'title' => esc_html__( 'Homepage', 'startup' ),
);

$sections['homepage-general'] = array(

	array(
		'id'                => 'homepage_layout',
		'type'              => 'group',
		'title'             => esc_html__( 'Homepage Section Manager', 'startup' ),
		'sub_desc'          => esc_html__( 'Organize how you want the sections to appear on the homepage.', 'startup' ),
		'groupname'         => esc_html__( 'Section', 'startup' ),
		'subfields'         => array(
			array(
				'id'    => 'mts_home_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'startup' ),
			),
			array(
				'id'   => 'home_unique_id',
				'type' => 'text',
				'args' => array(
					'type'  => 'hidden',
					'class' => 'hidden',
				),
				'std'  => uniqid(),
			),
			array(
				'id'       => 'home_layout',
				'type'     => 'select',
				'title'    => esc_html__( 'Home Layout', 'startup' ),
				'sub_desc' => wp_kses( __( 'Choose the <strong>Layout</strong> for your home posts.', 'startup' ), array( 'strong' => '' ) ),
				'options'  => array(
					'three-column-features' => esc_html__( '3 Column Features', 'startup' ),
					'two-column-features'   => esc_html__( '2 Column Features', 'startup' ),
					'four-column-features'  => esc_html__( '4 Column Features', 'startup' ),
					'cta'                   => esc_html__( 'CTA', 'startup' ),
					'clients'               => esc_html__( 'Clients', 'startup' ),
					'testimonials'          => esc_html__( 'Testimonials', 'startup' ),
					'counters'              => esc_html__( 'Counters', 'startup' ),
					'pricing'               => esc_html__( 'Pricing Table', 'startup' ),
					'blog'                  => esc_html__( 'Blog', 'startup' ),
				),
				'std'      => 'three-column-features',
			),
		),
		'std'               => array(
			'1' => array(
				'group_title'    => '3 Column Features',
				'group_sort'     => '1',
				'mts_home_title' => '3 Column Features',
				'home_layout'    => 'three-column-features',
			),
		),

		'validate_callback' => 'validate_home_featured',
	),

);
