<?php
/**
 * Search Tab
 *
 * @package Startup
 */

$menus['search'] = array(
	'icon'  => 'fa fa-search',
	'title' => esc_html__( 'Search', 'startup' ),
	'desc'  => esc_html__( 'Setting here apply to search pages.', 'startup' ),
);

$sections['search'] = array(

	array(
		'id'       => 'search_content',
		'type'     => 'select',
		'title'    => esc_html__( 'Search Results Content', 'startup' ),
		'sub_desc' => esc_html__( 'Controls the type of content that displays in search results.', 'startup' ),
		'options'  => array(
			'all'          => esc_html__( 'All Post Types and Pages', 'startup' ),
			'all-no-pages' => esc_html__( 'All Post Types without Pages', 'startup' ),
			'pages'        => esc_html__( 'Only Pages', 'startup' ),
			'posts'        => esc_html__( 'Only Blog Posts', 'startup' ),
			'woocommerce'  => esc_html__( 'Only WooCommerce Products', 'startup' ),
		),
		'std'      => 'posts_pages',
	),

	array(
		'id'       => 'search_results_per_page',
		'type'     => 'text',
		'title'    => esc_html__( 'Number of Search Results Per Page', 'startup' ),
		'sub_desc' => esc_html__( 'Controls the number of search results per page.', 'startup' ),
		'validate' => 'numeric',
		'std'      => '6',
		'class'    => 'small-text',
	),

	array(
		'id'       => 'search_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Search Form Position', 'startup' ),
		'sub_desc' => esc_html__( 'Controls the position of the search bar on the search results page.', 'startup' ),
		'options'  => array(
			'above' => esc_html__( 'Above Results', 'startup' ),
			'below' => esc_html__( 'Below Results', 'startup' ),
			'hide'  => esc_html__( 'Hide', 'startup' ),
		),
		'std'      => 'above',
	),
);
