<?php
/**
 * Sidebar Tab
 *
 * @package Startup
 */

$menus['sidebars-general'] = array(
	'title' => esc_html__( 'Sidebars', 'startup' ),
	'icon'  => 'fa-columns',
	'desc'  => esc_html__( 'Now you have full control over the sidebars. Here you can manage sidebars and select one for each section of your site, or select a custom sidebar on a per-post basis in the post editor.', 'startup' ),
);

$sections['sidebars-general'] = array(

	array(
		'id'        => 'mts_custom_sidebars',
		'type'      => 'group', // Doesn't need to be called for callback fields.
		'title'     => esc_html__( 'Custom Sidebars', 'startup' ),
		'sub_desc'  => wp_kses( __( 'Add custom sidebars. <strong style="font-weight: 800;">You need to save the changes to use the sidebars in the dropdowns below.</strong><br />You can add content to the sidebars in Appearance &gt; Widgets.', 'startup' ), array(
			'strong' => '',
			'br'     => '',
		) ),
		'groupname' => esc_html__( 'Sidebar', 'startup' ), // Group name.
		'subfields' => array(
			array(
				'id'       => 'mts_custom_sidebar_name',
				'type'     => 'text',
				'title'    => esc_html__( 'Name', 'startup' ),
				'sub_desc' => esc_html__( 'Example: Homepage Sidebar', 'startup' ),
			),
			array(
				'id'       => 'mts_custom_sidebar_id',
				'type'     => 'text',
				'title'    => esc_html__( 'ID', 'startup' ),
				'sub_desc' => esc_html__( 'Enter a unique ID for the sidebar. Use only alphanumeric characters, underscores (_) and dashes (-), eg. "sidebar-home"', 'startup' ),
				'std'      => 'sidebar-',
			),
		),
	),

	array(
		'id'       => 'mts_sidebar_for_home',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Homepage', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the homepage.', 'startup' ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_post',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Single Post', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the single posts. If a post has a custom sidebar set, it will override this.', 'startup' ),
		'args'     => array(
			'exclude' => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_page',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Single Page', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the single pages. If a page has a custom sidebar set, it will override this.', 'startup' ),
		'args'     => array(
			'exclude' => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_archive',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Archive', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the archives. Specific archive sidebars will override this setting (see below).', 'startup' ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_category',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Category Archive', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the category archives.', 'startup' ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_tag',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Tag Archive', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the tag archives.', 'startup' ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_date',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Date Archive', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the date archives.', 'startup' ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_author',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Author Archive', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the author archives.', 'startup' ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_search',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Search', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the search results.', 'startup' ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_notfound',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( '404 Error', 'startup' ),
		'sub_desc' => esc_html__( 'Select a sidebar for the 404 Not found pages.', 'startup' ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_shop',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Shop Pages', 'startup' ),
		'sub_desc' => wp_kses( __( 'Select a sidebar for Shop main page and product archive pages (WooCommerce plugin must be enabled). Default is <strong>Shop Page Sidebar</strong>.', 'startup' ), array( 'strong' => '' ) ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),

	array(
		'id'       => 'mts_sidebar_for_product',
		'type'     => 'select',
		'data'     => 'sidebars',
		'title'    => esc_html__( 'Single Product', 'startup' ),
		'sub_desc' => wp_kses( __( 'Select a sidebar for single products (WooCommerce plugin must be enabled). Default is <strong>Single Product Sidebar</strong>.', 'startup' ), array( 'strong' => '' ) ),
		'args'     => array(
			'allow_nosidebar' => false,
			'exclude'         => startup_excluded_sidebars(),
		),
		'std'      => '',
	),
);
