<?php
/**
 * Single Tab
 *
 * @package Startup
 */

$menus['single-general'] = array(
	'title' => esc_html__( 'General', 'startup' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'startup' ),
);

$sections['single-general'] = array(

	array(
		'id'       => 'show_single_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured image', 'startup' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Featured images in the single post.', 'startup' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_single_post_layout',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Post Layout', 'startup' ),
		'sub_desc' => esc_html__( 'Customize the look of single posts', 'startup' ),
		'options'  => array(
			'enabled'  => array(
				'content' => array(
					'label'     => esc_html__( 'Post Content', 'startup' ),
					'subfields' => array(),
				),
				'tags'    => array(
					'label'     => esc_html__( 'Tags', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'tags_bgcolor',
							'type'  => 'color',
							'title' => esc_html__( 'Tags background color', 'startup' ),
							'std'   => '#fafbfc',
						),
					),
				),
				'author'  => array(
					'label'     => esc_html__( 'Author Box', 'startup' ),
					'subfields' => array(),
				),
				'related' => array(
					'label'     => esc_html__( 'Related Posts', 'startup' ),
					'subfields' => array(
						array(
							'id'       => 'related_post_title',
							'type'     => 'text',
							'title'    => esc_html__( 'Related Posts Title', 'startup' ),
							'sub_desc' => esc_html__( 'Enter the title text to show in the related posts section.', 'startup' ),
							'std'      => 'Related Posts',
						),
						array(
							'id'       => 'mts_related_posts_taxonomy',
							'type'     => 'switch',
							'title'    => esc_html__( 'Related Posts Taxonomy', 'startup' ),
							'options'  => array(
								'tags'       => esc_html__( 'Tags', 'startup' ),
								'categories' => esc_html__( 'Categories', 'startup' ),
							),
							'class'    => 'green',
							'sub_desc' => esc_html__( 'Related Posts based on tags or categories.', 'startup' ),
							'std'      => 'categories',
						),
					),
				),
			),
			'disabled' => array(
				'subscribe' => array(
					'label'     => esc_html__( 'Subscribe Box', 'startup' ),
					'subfields' => array(),
				),
			),
		),
	),

	array(
		'id'       => 'mts_single_headline_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Meta Info', 'startup' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on single page', 'startup' ),
		'options'  => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => esc_html__( 'Author Name', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'user-o',
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'calendar',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'folder-o',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'startup' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'startup' ),
							'std'   => 'comment',
						),
					),
				),
			),
		),
	),

	array(
		'id'       => 'mts_author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'startup' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'startup' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_breadcrumb',
		'type'     => 'switch',
		'title'    => esc_html__( 'Breadcrumbs', 'purple' ),
		'sub_desc' => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them by checking this box.', 'purple' ),
		'std'      => '0',
	),

	array(
		'id'         => 'breadcrumb_icon',
		'type'       => 'icon_select',
		'title'      => esc_html__( 'Icon', 'purple' ),
		'sub_desc'   => esc_html__( 'Select divider icons from here.', 'purple' ),
		'std'        => 'angle-right',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_breadcrumb',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'startup' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'startup' ),
		'std'      => '1',
	),
);
