<?php
/**
 * Styling tab.
 *
 * @package Startup
 */

$menus['styling'] = array(
	'icon'  => 'fa-adjust',
	'title' => esc_html__( 'Styling', 'startup' ),
	'desc'  => esc_html__( 'Control the visual appearance of your theme, such as colors, layout and patterns, from here.', 'startup' ),
);

$sections['styling'] = array(

	array(
		'id'       => 'primary_color_scheme',
		'type'     => 'color',
		'title'    => esc_html__( 'Primary Color Scheme', 'startup' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'startup' ),
		'std'      => '#637bfd',
	),

	array(
		'id'         => 'mts_buttons_bg',
		'type'       => 'background',
		'title'      => esc_html__( 'Buttons Background', 'startup' ),
		'sub_desc'   => esc_html__( 'Set buttons background color, pattern and image from here.', 'startup' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '#00B8D9',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => '',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#00B8D9',
				'to'        => '#79E2F2',
				'direction' => '-82deg',
			),
			'parallax'      => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'featured_area',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'featured_area_button',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'mts_layout',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Layout Style', 'startup' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>default sidebar position</strong> for your site. The position of the sidebar for individual posts can be set in the post editor.', 'startup' ), array( 'strong' => array() ) ),
		'options'  => array(
			'cslayout' => array( 'img' => $uri . 'layouts/cs.png' ),
			'sclayout' => array( 'img' => $uri . 'layouts/sc.png' ),
		),
		'std'      => 'cslayout',
	),

	array(
		'id'       => 'mts_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Site Background', 'startup' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'startup' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

);
