<?php
/**
 * Footer Nav Section
 *
 * @package Startup
 */
?>
<div class="copyrights">
	<div class="container">
		<?php
		if ( startup_get_settings( 'footer_nav_section' ) ) :
		?>
			<div class="footer-navigation">
				<?php
				// Nav Section
				if ( startup_get_settings( 'footer_nav_section' ) ) {
					//$footer_nav_position = startup_get_settings( 'footer_nav_position' );
					$footer_separator = startup_get_settings( 'footer_nav_separator_content' );
					$separator        = ( startup_get_settings( 'footer_nav_separator' ) ? '<span class="footer-separator">' . $footer_separator . '</span>' : '' );
					?>
					<nav class="footer-nav clearfix">
					<?php
					// Footer Navigation.
					if ( has_nav_menu( 'footer-menu' ) ) {
						wp_nav_menu( array(
							'theme_location' => 'footer-menu',
							'menu_class'     => 'footer-menu clearfix',
							'container'      => '',
							'after'          => $separator,
							'walker'         => new startup_menu_walker(),
						));
					}
					?>
					</nav>
					<?php
				}
				?>
			</div>
			<?php
		endif;

		$content = startup_get_settings( 'mts_copyrights' );

		$copyright_text = '<a href=" ' . esc_url( trailingslashit( home_url() ) ) . '" title=" ' . get_bloginfo( 'description' ) . '">' . get_bloginfo( 'name' ) . '</a> ' . __( 'Copyright', 'startup' ) . ' &copy; ' . date( 'Y' ) . '.';
		?>
		<div class="row" id="copyright-note">
			<span><?php echo $copyright_text; ?></span>
			<div class="to-top"><?php echo $content; ?></div>
		</div>
	</div>
</div>
