<?php
/**
 * Header Layout
 *
 * @package Startup
 */
?>

<header id="site-header" class="main-header <?php echo esc_attr( startup_get_settings( 'header_styles' ) ); ?> " role="banner" itemscope itemtype="http://schema.org/WPHeader">
	<?php
	if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) {
		if ( startup_get_settings( 'top_bar_section' ) ) {
			?>
			<div class="top-bar">
				<div class="container">
					<!-- Top bar text -->
					<?php
					if ( startup_get_settings( 'top_bar_text' ) ) {
						?>
						<div class="top-bar-text">
							<?php echo startup_get_settings( 'top_bar_text' ); ?>
						</div>
						<?php
					}

					$contacts = startup_get_settings( 'top_bar_contact' );
					if ( ! empty( $contacts ) && is_array( $contacts ) ) {
						?>
						<div class="contact-items">
							<?php
							$i = 0;
							foreach ( $contacts as $contact ) {
								$archor_start = ! empty( $contact['contact_url'] ) ? sprintf( '<a href="%1$s">', $contact['contact_url'] ) : '';
								$archor_end   = ! empty( $contact['contact_url'] ) ? '</a>' : '';
								$icon         = ! empty( $contact['contact_icon'] ) ? sprintf( '<span class="contact-icon fa fa-%1$s"></span>', $contact['contact_icon'] ) : '';
								$text         = ! empty( $contact['contact_text'] ) ? sprintf( '<span>%1$s</span>', $contact['contact_text'] ) : '';
								printf( '<div class="contact-item item-' . ++$i . '">%1$s%2$s%3$s%4$s</div>', $archor_start, $icon, $text, $archor_end );
							}
							?>
						</div>
						<?php
					}
					?>
				</div><!-- .container -->
			</div><!-- .top-bar -->
			<?php
		}
		if ( startup_get_settings( 'mts_sticky_nav' ) ) {
			?>
			<div class="clear" id="catcher"></div>
			<div id="header" class="sticky-navigation">
			<?php } else { ?>
				<div id="header">
				<?php } ?>
				<div class="container">
					<div class="logo-wrap">
						<?php startup_logo(); ?>
					</div>

					<?php
					// Nav Button.
					if ( startup_get_settings( 'nav_button' ) && ! empty( startup_get_settings( 'nav_button_url' ) ) ) {
						printf( '<div class="nav-button"><a href="%1$s" class="button">%2$s</a></div>', startup_get_settings( 'nav_button_url' ), startup_get_settings( 'nav_button_text' ) );
					}
					?>

					<div id="secondary-navigation" class="secondary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
						<a href="#" id="pull" class="toggle-mobile-menu<?php echo $home_class; ?>"><span><?php esc_html_e( 'Menu', 'startup' ); ?></span></a>
						<?php if ( has_nav_menu( 'mobile' ) ) { ?>

							<nav class="navigation clearfix">
								<?php
								// Secondary Navigation.
								if ( has_nav_menu( 'secondary-menu' ) ) {
									wp_nav_menu(
										array(
											'theme_location' => 'secondary-menu',
											'menu_class' => 'menu clearfix',
											'container'  => '',
											'walker'     => new startup_menu_walker(),
										)
									);
								}
								?>
							</nav>
							<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
								<?php
								// Mobile Navigation.
								if ( has_nav_menu( 'mobile' ) ) {
									wp_nav_menu(
										array(
											'theme_location' => 'mobile',
											'menu_class'     => 'menu clearfix',
											'container'      => '',
											'walker'         => new startup_menu_walker(),
										)
									);
								}
								?>
							</nav>

							<?php } else { ?>

							<nav class="navigation clearfix mobile-menu-wrapper">
								<?php
								// Secondary Navigation.
								if ( has_nav_menu( 'secondary-menu' ) ) {
									wp_nav_menu(
										array(
											'theme_location' => 'secondary-menu',
											'menu_class'     => 'menu clearfix',
											'container'      => '',
											'walker'         => new startup_menu_walker(),
										)
									);
								}
								?>
							</nav>

						<?php } ?>
					</div>
				</div><!--.container-->
		</div>
			<?php
	}
	?>
</header>
<?php
if ( is_front_page() && ! is_paged() ) {
	get_template_part( 'template-parts/header/header', 'featured-section' );
}
?>
<?php get_template_part( 'template-parts/header/header', 'nav-adcode' ); ?>
<?php get_template_part( 'template-parts/header/header', 'adcode' ); ?>
